// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// -*-C++-*-
//
// File:      OmSource.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Sep 13 17:00:17 CEST 2002
// Usage:     -
// Info:      -

#ifndef OmSourceGroupBox_h
#define OmSourceGroupBox_h
#include <qwidget.h>
#include <qgroupbox.h>
#include <qstring.h>

class OmSourceGroupBox : public QGroupBox
{
     Q_OBJECT  
public:
    OmSourceGroupBox(QWidget *parent, QString title, int xPos, int yPos, int width, int height, 
            QString help = QString::null);

   OmSourceGroupBox(QWidget *parent, QString title, int xPos, int yPos, 
            QString help = QString::null);


   virtual ~OmSourceGroupBox() {};



};
#endif





