// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef OMSOURCEHELP_H
#define  OMSOURCEHELP_H




#include <qvbox.h>

class QTextView;
class QPushButton;

class MyRichText : public QVBox
{
    Q_OBJECT

public:
    MyRichText( QWidget *parent = 0, const char * text[] = 0);
    ~MyRichText() { delete [] _text; };
protected:
    QTextView *view;
    QPushButton *bClose, *bNext, *bPrev;
    int num;
    QString *_text;

protected slots:
    void prev();
    void next();

};

#include <qdialog.h>
#include <qstring.h>
#include <qcheckbox.h>



class QLabel;;
class QString;
class HelpDlg : public QDialog
{
    Q_OBJECT
     
 private slots:
      void quit() {reject(); };     

      public:
    HelpDlg(QWidget *parent, const char * text[]); 
    ~HelpDlg() {}; 
 private:
  
    MyRichText* _text;   
        
};

#endif


